Bug 1994643 - kube-apiserver must not return 404 to garbage collection controller before being ready
Summary: kube-apiserver must not return 404 to garbage collection controller before be...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Abu Kashem
QA Contact: Rahul Gangwar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-17 15:39 UTC by Abu Kashem
Modified: 2021-10-18 17:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:46:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 1207 0 None None None 2021-09-02 10:28:46 UTC
Github openshift cluster-kube-apiserver-operator pull 1211 0 None None None 2021-09-02 10:28:46 UTC
Github openshift kubernetes pull 887 0 None None None 2021-09-02 10:28:47 UTC
Github openshift kubernetes pull 889 0 None None None 2021-09-02 10:28:47 UTC
Github openshift kubernetes pull 906 0 None None None 2021-09-02 10:28:48 UTC
Github openshift kubernetes pull 907 0 None None None 2021-09-02 10:28:48 UTC
Github openshift kubernetes pull 922 0 None None None 2021-09-02 10:28:48 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:06 UTC

Description Abu Kashem 2021-08-17 15:39:36 UTC
Before kube-apiserver readiness, kube-controller-manager's GC and namespace controllers should not get a 404 for a resource or incomplete discovery because it will make them behave inconsistently by removed objects unexpectedly.

Comment 6 Abu Kashem 2021-09-01 13:58:01 UTC
moving it back to assigned, since we have a new pick from upstream.

Comment 12 errata-xmlrpc 2021-10-18 17:46:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.